Summary:	Open BIOS parsing libs
Name:		libsmbios
Version:	2.2.14
Release:	1
License:	GPLv2+ or OSL
Group:		Libraries
URL:		http://linux.dell.com/libsmbios/main
Source:		http://linux.dell.com/libsmbios/download/%{name}/%{name}-%{version}/%{name}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	python-devel python-ctypes

%description
Libsmbios is a library and utilities that can be used by client programs 
to get information from standard BIOS tables, such as the SMBIOS table.

%package	devel
Summary:	Development headers and archives
Group:		Development

%description	devel
Libsmbios is a library and utilities that can be used by client programs 
to get information from standard BIOS tables, such as the SMBIOS table.

This package contains the headers and .a files necessary to compile new 
client programs against libsmbios.

%prep
%setup -q

%build
%configure --disable-nls
make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

mkdir -p %{buildroot}/%{_includedir}
cp -a src/include/smbios %{buildroot}/%{_includedir}
cp -a src/include/smbios_c %{buildroot}/%{_includedir}

# Looks like hal needs this:
ln -s ../sbin/dellWirelessCtl %{buildroot}/usr/bin/dellWirelessCtl
ln -s smbios-sys-info %{buildroot}%{_sbindir}/getSystemId
ln -s smbios-wireless-ctl %{buildroot}%{_sbindir}/dellWirelessCtl
ln -s smbios-lcd-brightness %{buildroot}%{_sbindir}/dellLcdBrightness
ln -s smbios-rbu-bios-update %{buildroot}%{_sbindir}/dellBiosUpdate

# wtf is yum ? ;)
rm -rf %{buildroot}%{_prefix}/lib/yum-plugins
rm -rf %{buildroot}%{_sysconfdir}/yum

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS README TODO ChangeLog doc/*
%{_libdir}/*.so.*
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/python*
%{_sbindir}
%{_bindir}
%{_datadir}
%{_sysconfdir}

%files devel
%defattr(-,root,root)
%{_includedir}
%{_libdir}/*.a
%{_libdir}/pkgconfig
